($chr,$s,$e,$jobdir,$resolution,$cell)=@ARGV;
$ss=int($s/$resolution)+1;$ee=int($e/$resolution)+1;
$dis_cut=($resolution/3101788170*0.1)**(1/3)*3*2*2;####################################
chdir "../$jobdir/sh/pdb";
@files=<*.pdb>;
open o, ">Ryration_of_gyration.txt";
print o "Cell line	Ryration of gyration\n";
foreach  $file(@files) {
	open i, "$file";
	if ($file =~/k562/) {
		$file1="K562";
	}
	if ($file =~/GM12878/) {
		$file1="GM12878";
	}
	if ($file =~/3C/) {
		$file1="3C";
	}
	if ($file =~/4C/) {
		$file1="4C";
	}
	if ($file =~/5C/) {
		$file1="5C";
	}
	open o1, ">$file1\_structure_density.BedGraph";

	my(%x,%y,%z,%d,$sumx,$sumy,$sumz,$sum,%dist,%number);
	while (<i>) {
		chomp;
		if (/^ATOM/) {
			($num,$x,$y,$z)=(split/\s+/,$_)[1,6,7,8];
			$x{$num}=$x/20;$y{$num}=$y/20;$z{$num}=$z/20;
			$sumx+=$x{$num};$sumy+=$y{$num};$sumz+=$z{$num};
		}
	}
	close i;
	$avex=$sumx/$num;$avey=$sumy/$num;$avez=$sumz/$num;
	#print "$file\t$avex\t$avey\t$avez\n";
	for (1..$num) {
		$sum+=($x{$_}-$avex)**2+($y{$_}-$avey)**2+($z{$_}-$avez)**2;
	}
	$r=($sum/$num)**0.5;
	
	print o "$file1\t$r\n";

	for $n1(1..$num) {
		for $n2(1..$num) {
			$dist{$n1}{$n2}=(($x{$n1}-$x{$n2})**2+($y{$n1}-$y{$n2})**2+($z{$n1}-$z{$n2})**2)**0.5;
		}
	}
	for $n1(1..$num) {
		for $n2(1..$num) {
			if ($dist{$n1}{$n2}<$dis_cut) {
				$number{$n1}++;
			}
		}
	}
	for (1..$num) {
		$density=$number{$_}/$num;
		$sss=($ss+$_-2)*$resolution+1;$eee=($ss+$_-1)*$resolution;
		print o1"chr$chr\t$sss\t$eee\t$density\n";
	}
	close o1;
}
close o;